ruby-pundit_1.0.1-2_all.deb


Advertisement

Description

ruby-pundit - object oriente authorization for rails

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-pundit
Package version: 1.0.1
Package release: 2
Package architecture: all
Package type: deb
Installed size: 58 B
Download size: 12.35 KB
Official Mirror: archive.ubuntu.com
Pundit provides a set of helpers which guide you in leveraging regular Ruby classes and object oriented design patterns to build a simple, robust and scaleable authorization system.

Alternatives

    Download

    Source package: ruby-pundit

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-pundit deb package:
      # sudo apt-get install ruby-pundit

    Files

    • /usr/lib/ruby/vendor_ruby/pundit.rb
    • /usr/lib/ruby/vendor_ruby/generators/pundit/install/USAGE
    • /usr/lib/ruby/vendor_ruby/generators/pundit/install/install_generator.rb
    • /usr/lib/ruby/vendor_ruby/generators/pundit/install/templates/application_policy.rb
    • /usr/lib/ruby/vendor_ruby/generators/pundit/policy/USAGE
    • /usr/lib/ruby/vendor_ruby/generators/pundit/policy/policy_generator.rb
    • /usr/lib/ruby/vendor_ruby/generators/pundit/policy/templates/policy.rb
    • /usr/lib/ruby/vendor_ruby/generators/rspec/policy_generator.rb
    • /usr/lib/ruby/vendor_ruby/generators/rspec/templates/policy_spec.rb
    • /usr/lib/ruby/vendor_ruby/generators/test_unit/policy_generator.rb
    • /usr/lib/ruby/vendor_ruby/generators/test_unit/templates/policy_test.rb
    • /usr/lib/ruby/vendor_ruby/pundit/policy_finder.rb
    • /usr/lib/ruby/vendor_ruby/pundit/rspec.rb
    • /usr/lib/ruby/vendor_ruby/pundit/version.rb
    • /usr/share/doc/ruby-pundit/README.md.gz
    • /usr/share/doc/ruby-pundit/changelog.Debian.gz
    • /usr/share/doc/ruby-pundit/copyright
    • /usr/share/rubygems-integration/all/specifications/pundit-1.0.1.gemspec

    Changelog

    2016-01-14 - Andrew Lee (李健秋) <andrew.lee@collabora.co.uk> ruby-pundit (1.0.1-2) unstable; urgency=medium * debian/control: set correct build-deps and depends. * debian/control: Fix descriptions. * debian/copyright: add copyright year.

    2015-08-28 - Andrew Lee (李健秋) <andrew.lee@collabora.co.uk> ruby-pundit (1.0.1-1) unstable; urgency=medium * Initial release (Closes: #797147)

    Advertisement
    Advertisement